# ReflectionClass::getDocComment

(PHP 5, PHP 7, PHP 8)

ReflectionClass::getDocComment — Gets doc comments

### Beschreibung

public ReflectionClass::getDocComment(): string|false

Gets doc comments from a class. Doc comments start with `/**`, followed by whitespace. If there are multiple doc comments above the class definition, the one closest to the class will be taken.

### Parameter-Liste

Diese Funktion besitzt keine Parameter.

### Rückgabewerte

The doc comment if it exists, otherwise `false`.

### Beispiele

Beispiel #1 ReflectionClass::getDocComment() example

`<?php
/**
* A test class
*
* @param foo bar
* @return baz
*/
class TestClass { }
$rc = new ReflectionClass('TestClass');
var_dump($rc->getDocComment());
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    string(61) "/**
     * A test class
     *
     * @param  foo bar
     * @return baz
     */"

### Siehe auch

- ReflectionClass::getName() - Gets class name

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open